# Core

## Qecsim
```@docs
Qecsim
Qecsim.QecsimError
```

## App
```@docs
App
App.qec_run_once
App.RunResult
App.qec_run
App.qec_merge
App.qec_read
App.qec_write
```

## Model
```@docs
Model
```
### Model.AbstractModel
```@docs
Model.AbstractModel
Model.label
```
### Model.StabilizerCode
```@docs
Model.StabilizerCode
Model.logical_xs
Model.logical_zs
Model.logicals
Model.nkd
Model.stabilizers
Model.validate
```
### Model.ErrorModel
```@docs
Model.ErrorModel
Model.generate
Model.probability_distribution
```
### Model.Decoder
```@docs
Model.Decoder
Model.decode
Model.DecodeResult
```

## PauliTools
```@docs
PauliTools
PauliTools.bsp
PauliTools.pack
PauliTools.to_bsf
PauliTools.to_pauli
PauliTools.unpack
PauliTools.weight
```
